Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Fix RSpec deprecation

  • Loading branch information...
commit ee6de3a8733782a8d5ecdcf8cd85d14b95e86e6f 1 parent 1c667c2
@leshill authored
View
5 Gemfile.lock
@@ -36,6 +36,9 @@ GEM
ruby_core_source (>= 0.1.4)
mongo (1.3.1)
bson (>= 1.3.1)
+ rake (0.9.2.2)
+ rdoc (3.12)
+ json (~> 1.4)
rspec (2.6.0)
rspec-core (~> 2.6.0)
rspec-expectations (~> 2.6.0)
@@ -63,5 +66,7 @@ PLATFORMS
DEPENDENCIES
cucumber (>= 0.10.0)
mongo_doc!
+ rake (>= 0.9.2.2)
+ rdoc (>= 2.4.2)
rspec (>= 2.5.0)
ruby-debug19 (>= 0.11.6)
View
5 Rakefile
@@ -1,3 +1,4 @@
+require 'bundler/setup'
require 'rake'
require 'cucumber/rake/task'
@@ -23,8 +24,8 @@ end
task :default => :spec
-require 'rake/rdoctask'
-Rake::RDocTask.new do |rdoc|
+require 'rdoc/task'
+RDoc::Task.new do |rdoc|
if File.exist?('VERSION')
version = File.read('VERSION')
else
View
2  mongo_doc.gemspec
@@ -26,4 +26,6 @@ Gem::Specification.new do |s|
s.add_development_dependency('cucumber', ['>= 0.10.0'])
s.add_development_dependency('rspec', ['>= 2.5.0'])
s.add_development_dependency('ruby-debug19', ['>= 0.11.6'])
+ s.add_development_dependency('rake', ['>= 0.9.2.2'])
+ s.add_development_dependency('rdoc', ['>= 2.4.2'])
end
View
2  spec/support/active_model_behavior.rb
@@ -1,7 +1,7 @@
module ActiveModelBehavior
share_as :AnActiveModel do
def be_a_boolean
- ::Rspec::Matchers::Matcher.new :be_a_boolean do
+ ::RSpec::Matchers::Matcher.new :be_a_boolean do
match do |value|
[ true, false ].include?( value )
end
Please sign in to comment.
Something went wrong with that request. Please try again.